aboutsummaryrefslogtreecommitdiffstats
path: root/main/libvorbis/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/libvorbis/APKBUILD')
-rw-r--r--main/libvorbis/APKBUILD33
1 files changed, 23 insertions, 10 deletions
diff --git a/main/libvorbis/APKBUILD b/main/libvorbis/APKBUILD
index 86ad84de04..e70152f956 100644
--- a/main/libvorbis/APKBUILD
+++ b/main/libvorbis/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libvorbis
pkgver=1.3.5
-pkgrel=1
+pkgrel=2
pkgdesc="Vorbis codec library"
url="http://www.xiph.org/ogg/vorbis/"
arch="all"
@@ -10,17 +10,27 @@ subpackages="$pkgname-dev $pkgname-doc"
depends=
depends_dev="libogg-dev"
makedepends="$depends_dev"
-#source="http://people.xiph.org/~giles/2008/$pkgname-$pkgver.tar.gz"
-source="http://downloads.xiph.org/releases/vorbis/libvorbis-$pkgver.tar.gz"
+source="http://downloads.xiph.org/releases/vorbis/libvorbis-$pkgver.tar.gz
+ CVE-2017-14160.patch
+ "
-_builddir="$srcdir/$pkgname-$pkgver"
+builddir="$srcdir/$pkgname-$pkgver"
+
+# secfixes:
+# 1.3.5-r2:
+# - CVE-2017-14160
prepare() {
- cd "$_builddir"
+ cd "$builddir"
+ for i in $sources; do
+ case $i in
+ *.patch) patch -p1 -i $srcdir/$i || return 1;;
+ esac
+ done
}
build() {
- cd "$_builddir"
+ cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -31,11 +41,14 @@ build() {
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
-md5sums="7220e089f3be3412a2317d6fde9e3944 libvorbis-1.3.5.tar.gz"
-sha256sums="6efbcecdd3e5dfbf090341b485da9d176eb250d893e3eb378c428a2db38301ce libvorbis-1.3.5.tar.gz"
-sha512sums="6c729a227143abc744a779ec4d4ce9932cd1234e301b766cb5111c3894b7cd866f0267590c7864afd3841ac0d4ae2eb2386e8d14345b7c41c8ce35e996e3656c libvorbis-1.3.5.tar.gz"
+md5sums="7220e089f3be3412a2317d6fde9e3944 libvorbis-1.3.5.tar.gz
+943275d84d55dfa072ec3a2566fd9bfa CVE-2017-14160.patch"
+sha256sums="6efbcecdd3e5dfbf090341b485da9d176eb250d893e3eb378c428a2db38301ce libvorbis-1.3.5.tar.gz
+f93bf45de3a21db0fa9bb9cd25edefb1182bf24d61028a86cbf45fbcd11fbdf5 CVE-2017-14160.patch"
+sha512sums="6c729a227143abc744a779ec4d4ce9932cd1234e301b766cb5111c3894b7cd866f0267590c7864afd3841ac0d4ae2eb2386e8d14345b7c41c8ce35e996e3656c libvorbis-1.3.5.tar.gz
+4c2f7be947f2159ae47175cba89950c7b7d357b37a20d54382e4fbecd8c268b148e6cb86cb148945c7b68bbe8b14f466e910b35b80903ab51f1b02cfccf5806e CVE-2017-14160.patch"